Debian Bug report logs - #147828
libdns-zoneparse-perl: PrintZone() does not print PTR records

version graph

Package: libdns-zoneparse-perl; Maintainer for libdns-zoneparse-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libdns-zoneparse-perl is src:libdns-zoneparse-perl.

Reported by: Gergely Nagy <algernon@debian.org>

Date: Wed, 22 May 2002 22:03:02 UTC

Severity: important

Tags: patch, pending, sid, upstream

Found in version 0.8-1

Fixed in version libdns-zoneparse-perl/0.81-1

Done: Ivan Kohler <ivan@420.am>

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/NoAuth/Bug.html?id=664

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ivan Kohler <ivan-debian@420.am>, libdns-zoneparse-perl@packages.qa.debian.org:
Bug#147828; Package libdns-zoneparse-perl. Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@debian.org>:
New Bug report received and forwarded. Copy sent to Ivan Kohler <ivan-debian@420.am>, libdns-zoneparse-perl@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@debian.org>
To: submit@bugs.debian.org
Cc: algernon@debian.org
Subject: libdns-zoneparse-perl: PrintZone() does not print PTR records
Date: Wed, 22 May 2002 23:48:53 +0200
Package: libdns-zoneparse-perl
Version: 0.8-1
Severity: important

Recently I was working on a web-based zone editor script, and used
DNS::ZoneParse to do the dirty work. However, I noticed that PTR records
are not printed by DNS::ZoneParse->PrintZone(). This causes data loss in
any application that uses this module (or at least ->PrintZone()..).

Actually, I pondered if I should set the severity to serious..

Anyway, a simple patch to fix the problem is attached below. I'm using
it for some time now, and it works fine.

Cheers,
-- 
Gergely Nagy \ mhp/|8]

--- ZoneParse.pm.orig	Wed May 22 23:41:53 2002
+++ ZoneParse.pm	Wed May 22 23:43:16 2002
@@ -80,7 +80,7 @@
 
 sub PrintZone {
 	my $self = shift;
-	my @quick_classes = qw(A CNAME);	
+	my @quick_classes = qw(A CNAME PTR);	
 	my $temp_zone_file = "";
 	$temp_zone_file .= <<ZONEHEADER;
 ;




Tags added: patch, pending, upstream, sid Request was from ivan <ivan-debian@420.am> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://rt.cpan.org/NoAuth/Bug.html?id=664. Request was from ivan <ivan-debian@420.am> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Ivan Kohler <ivan@420.am>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Gergely Nagy <algernon@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 147828-close@bugs.debian.org (full text, mbox):

From: Ivan Kohler <ivan@420.am>
To: 147828-close@bugs.debian.org
Subject: Bug#147828: fixed in libdns-zoneparse-perl 0.81-1
Date: Sun, 14 Jul 2002 22:02:09 -0400
We believe that the bug you reported is fixed in the latest version of
libdns-zoneparse-perl, which is due to be installed in the Debian FTP archive:

libdns-zoneparse-perl_0.81-1.diff.gz
  to pool/main/libd/libdns-zoneparse-perl/libdns-zoneparse-perl_0.81-1.diff.gz
libdns-zoneparse-perl_0.81-1.dsc
  to pool/main/libd/libdns-zoneparse-perl/libdns-zoneparse-perl_0.81-1.dsc
libdns-zoneparse-perl_0.81-1_all.deb
  to pool/main/libd/libdns-zoneparse-perl/libdns-zoneparse-perl_0.81-1_all.deb
libdns-zoneparse-perl_0.81.orig.tar.gz
  to pool/main/libd/libdns-zoneparse-perl/libdns-zoneparse-perl_0.81.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 147828@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ivan Kohler <ivan@420.am> (supplier of updated libdns-zoneparse-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 14 Jul 2002 18:47:18 -0700
Source: libdns-zoneparse-perl
Binary: libdns-zoneparse-perl
Architecture: source all
Version: 0.81-1
Distribution: unstable
Urgency: low
Maintainer: Ivan Kohler <ivan-debian@420.am>
Changed-By: Ivan Kohler <ivan@420.am>
Description: 
 libdns-zoneparse-perl - Perl extension for parsing and manipulating DNS Zone Files.
Closes: 147828
Changes: 
 libdns-zoneparse-perl (0.81-1) unstable; urgency=low
 .
   * New upstream release (closes: Bug#147828)
Files: 
 69d6ddffe11a7ee53e2c5a6e9aff3054 631 interpreters optional libdns-zoneparse-perl_0.81-1.dsc
 56ca110b8d13309059e872d87cc89dae 6755 interpreters optional libdns-zoneparse-perl_0.81.orig.tar.gz
 91338e9c14cc2e51b87997182cea03c8 1823 interpreters optional libdns-zoneparse-perl_0.81-1.diff.gz
 1fb3685d1123f2997f15c6c650c022e1 14756 interpreters optional libdns-zoneparse-perl_0.81-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQE9MiqtgYcvm1TBwckRAppRAJ9lNA3Nqdq22CeXPJkC/QFsh8GsYwCfd3vH
rbybrPA/NOdJ4RfyiqQ7Hzw=
=Ogu+
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Ivan Kohler <ivan-debian@420.am>, libdns-zoneparse-perl@packages.qa.debian.org:
Bug#147828; Package libdns-zoneparse-perl. Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@bonehunter.rulez.org>:
Extra info received and forwarded to list. Copy sent to Ivan Kohler <ivan-debian@420.am>, libdns-zoneparse-perl@packages.qa.debian.org. Full text and rfc822 format available.

Message #19 received at 147828@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@bonehunter.rulez.org>
To: 147828@bugs.debian.org
Subject: Re: Bug#147828 acknowledged by developer (Bug#147828: fixed in libdns-zoneparse-perl 0.81-1)
Date: Mon, 15 Jul 2002 20:44:43 +0200
> Changes: 
>  libdns-zoneparse-perl (0.81-1) unstable; urgency=low
>  .
>    * New upstream release (closes: Bug#147828)

Next time, could you be a bit more verbose in the changelog? The
above line implies that 147828 was about a new upstream release, which
isn't the case.

I'm thinking of something along the lines of this:

* New upstream release
  + PrintZone() now prints PTR records too (closes: #147828)

Much friendlier, and contains all the information I need.

I think that listing upstream changes in debian/changelog is a Good
Thing (to be honest, Something That Should Be Done) if an upstream
change fixes a Debian bug.



Information forwarded to debian-bugs-dist@lists.debian.org, Ivan Kohler <ivan-debian@420.am>, libdns-zoneparse-perl@packages.qa.debian.org:
Bug#147828; Package libdns-zoneparse-perl. Full text and rfc822 format available.

Acknowledgement sent to ivan <ivan-debian@420.am>:
Extra info received and forwarded to list. Copy sent to Ivan Kohler <ivan-debian@420.am>, libdns-zoneparse-perl@packages.qa.debian.org. Full text and rfc822 format available.

Message #24 received at 147828@bugs.debian.org (full text, mbox):

From: ivan <ivan-debian@420.am>
To: Gergely Nagy <algernon@bonehunter.rulez.org>, 147828@bugs.debian.org
Subject: Re: Bug#147828: acknowledged by developer (Bug#147828: fixed in libdns-zoneparse-perl 0.81-1)
Date: Mon, 15 Jul 2002 15:19:44 -0700
On Mon, Jul 15, 2002 at 08:44:43PM +0200, Gergely Nagy wrote:
> > Changes: 
> >  libdns-zoneparse-perl (0.81-1) unstable; urgency=low
> >  .
> >    * New upstream release (closes: Bug#147828)
> 
> Next time, could you be a bit more verbose in the changelog?

Probably not.  From what I understand, listing the several bugs that an
upstream release fixes in the "New upstream release" package line is
standard practice.  If you can't cite policy or other documentataion, put
a sock in it. 

> The above line implies that 147828 was about a new upstream release,
> which isn't the case. 

No, the above line implies that the new upstream release fixes bug 147828,
which it does.

> I'm thinking of something along the lines of this:

I don't really care what you're thinking.  This bugreport is about PTR
records, not your personal views on what's wrong with changelogs.

> * New upstream release
>   + PrintZone() now prints PTR records too (closes: #147828)
> 
> Much friendlier, and contains all the information I need.
> 
> I think that listing upstream changes in debian/changelog is a Good
> Thing (to be honest, Something That Should Be Done) if an upstream
> change fixes a Debian bug.

That's nice, but random bugreports are the wrong place for this
discussion.  Propose your policy changes through the official channels.

-- 
_ivan



Information forwarded to debian-bugs-dist@lists.debian.org, Ivan Kohler <ivan-debian@420.am>, libdns-zoneparse-perl@packages.qa.debian.org:
Bug#147828; Package libdns-zoneparse-perl. Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@bonehunter.rulez.org>:
Extra info received and forwarded to list. Copy sent to Ivan Kohler <ivan-debian@420.am>, libdns-zoneparse-perl@packages.qa.debian.org. Full text and rfc822 format available.

Message #29 received at 147828@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@bonehunter.rulez.org>
To: ivan <ivan-debian@420.am>
Cc: 147828@bugs.debian.org
Subject: Re: Bug#147828: acknowledged by developer (Bug#147828: fixed in libdns-zoneparse-perl 0.81-1)
Date: Tue, 16 Jul 2002 21:42:49 +0200
[Message part 1 (text/plain, inline)]
> > >    * New upstream release (closes: Bug#147828)
> > 
> > Next time, could you be a bit more verbose in the changelog?
> 
> Probably not.  From what I understand, listing the several bugs that an
> upstream release fixes in the "New upstream release" package line is
> standard practice.  If you can't cite policy or other documentataion, put
> a sock in it. 

There is no policy for this, and this is not common practice. Common
practice is to explicitly mention what the fixed bug is (this view is
backed by several people, including one owner@bugs.d.o person).

> > The above line implies that 147828 was about a new upstream release,
> > which isn't the case. 
> 
> No, the above line implies that the new upstream release fixes bug 147828,
> which it does.

Pretty twisted way of reading a changelog. True enough, the new
upstream release fixes the mentioned bug, but someone who is reading
the changelog offline, or via apt-listchanges has absolutely no
information what the bug was, or if it affected him. I do believe that
the purpose of a changelog is to give at least a hint of what changed,
which bugs were fixed.

Furthermore, at some point, this bug may get "archived", which means
that it may go offline at some point. Suddenly, you can't figure out
what the bug is about anymore. This would defeat the purpose of the
changelog, wouldn't it?

> > I'm thinking of something along the lines of this:
> 
> I don't really care what you're thinking.  This bugreport is about PTR
> records, not your personal views on what's wrong with changelogs.

Well, the filename "changelog" implies it is a log of changes, not a
log of bugs.

> > * New upstream release
> >   + PrintZone() now prints PTR records too (closes: #147828)
> > 
> > Much friendlier, and contains all the information I need.
> > 
> > I think that listing upstream changes in debian/changelog is a Good
> > Thing (to be honest, Something That Should Be Done) if an upstream
> > change fixes a Debian bug.
> 
> That's nice, but random bugreports are the wrong place for this
> discussion.

I can open a separate bugreport if you wish.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ivan Kohler <ivan-debian@420.am>, libdns-zoneparse-perl@packages.qa.debian.org:
Bug#147828; Package libdns-zoneparse-perl. Full text and rfc822 format available.

Acknowledgement sent to ivan <ivan-debian@420.am>:
Extra info received and forwarded to list. Copy sent to Ivan Kohler <ivan-debian@420.am>, libdns-zoneparse-perl@packages.qa.debian.org. Full text and rfc822 format available.

Message #34 received at 147828@bugs.debian.org (full text, mbox):

From: ivan <ivan-debian@420.am>
To: Gergely Nagy <algernon@bonehunter.rulez.org>
Cc: 147828@bugs.debian.org
Subject: Re: Bug#147828: acknowledged by developer (Bug#147828: fixed in libdns-zoneparse-perl 0.81-1)
Date: Tue, 16 Jul 2002 16:43:24 -0700
On Tue, Jul 16, 2002 at 09:42:49PM +0200, Gergely Nagy wrote:
> > > >    * New upstream release (closes: Bug#147828)
> > > 
> > > Next time, could you be a bit more verbose in the changelog?
> > 
> > Probably not.  From what I understand, listing the several bugs that an
> > upstream release fixes in the "New upstream release" package line is
> > standard practice.  If you can't cite policy or other documentataion, put
> > a sock in it. 
> 
> There is no policy for this, and this is not common practice. Common
> practice is to explicitly mention what the fixed bug is (this view is
> backed by several people, including one owner@bugs.d.o person).

AGAIN, this bugreport is the wrong place for your random rantings about
what's wrong with changelogs.  Did you not understand that the first five
times I told you?  Open a discussion on debian-devel or propose a change
in policy.  Further off-topic messages from you will be ignored. 

-- 
_ivan




Information forwarded to libdns-zoneparse-perl@packages.qa.debian.org:
Bug#147828; Package libdns-zoneparse-perl. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and filed, but not forwarded. Copy sent to libdns-zoneparse-perl@packages.qa.debian.org. Full text and rfc822 format available.

Message #39 received at 147828-quiet@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: libdns-zoneparse-perl@packages.debian.org
Cc: 147828-quiet@bugs.debian.org
Subject: Re: Bug#147828: acknowledged by developer
Date: Wed, 17 Jul 2002 13:42:03 -0500
[Message part 1 (text/plain, inline)]
Mr. Kohler,

You are being obtuse and rude to a developer who is making a legitimate
request.

Changelog entries of the following format:

* New upstream release (closes: Bug#147828)

are only sufficient when you are closing a "new upstream version
available, please package it" type of bug.

Gergely Nagy's suggestion for how to write a changelog entry closing
this bug report is correct.

Your assertions are neither correct nor common practice.

For examples of how to write adequate changelog entries, see many Debian
packages, particularly xfree86 or dpkg.

-- 
G. Branden Robinson                |
Debian GNU/Linux                   |      Please do not look directly into
branden@debian.org                 |      laser with remaining eye.
http://people.debian.org/~branden/ |
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to libdns-zoneparse-perl@packages.qa.debian.org:
Bug#147828; Package libdns-zoneparse-perl. Full text and rfc822 format available.

Acknowledgement sent to ivan <ivan@420.am>:
Extra info received and filed, but not forwarded. Copy sent to libdns-zoneparse-perl@packages.qa.debian.org. Full text and rfc822 format available.

Message #44 received at 147828-quiet@bugs.debian.org (full text, mbox):

From: ivan <ivan@420.am>
To: Branden Robinson <branden@debian.org>
Cc: libdns-zoneparse-perl@packages.debian.org, 147828-quiet@bugs.debian.org
Subject: Re: Bug#147828: acknowledged by developer
Date: Thu, 18 Jul 2002 02:06:38 -0700
On Wed, Jul 17, 2002 at 01:42:03PM -0500, Branden Robinson wrote:
> Mr. Kohler,

"Ivan" is fine.

> You are being obtuse and rude to a developer who is making a legitimate
> request.

Hahahahaha.... oh, the irony!  *You* calling people obtuse and rude... 
that's a good one.

> Changelog entries of the following format:
> 
> * New upstream release (closes: Bug#147828)
> 
> are only sufficient when you are closing a "new upstream version
> available, please package it" type of bug.

Opinion only, and not backed up by policy or any documented guideline. 
http://www.debian.org/doc/debian-policy/ch-miscellaneous.html#s-dpkgchangelog
states: "This file records the changes to the Debian-specific parts of the
package".  Nowhere does it say that a "New upstream release" line should
not be used to close all bugs the upstream release closes.  Gergely's
patch was not Debian-specific, was forwarded upstream, and was included by
the upstream in the new version.

In actuality, new upstream versions which close many non-"new upstream
verison available" bugs are regularly noted as I did in this bugreport.
For example: 

  automake/changelog.Debian.gz:
  * New upstream release. (Closes: #129347, #112465, #100374, #118047)

  gdm/changelog.Debian.gz:
  * New upstream release (closes: #113373, #119717)

There are many more; you are free to grep for them yourself.

> Gergely Nagy's suggestion for how to write a changelog entry closing
> this bug report is correct.

I didn't say it was incorrect.

I don't disagree that Gergely's suggestion may have merit, and it might be
time to enforce doing this differently, but that's a matter for us to
discuss and come to a conclusion as a project, not for Gergerly to throw
temper tantrums in random bugreports.

Had I applied Gergely's patch to the debian package prior to forwarding it
upstream *and getting it included in upstream source*, I would have noted
it separately.  The upstream changelog *does* note that the bug was fixed. 

> For examples of how to write adequate changelog entries, see many Debian
> packages, particularly xfree86 or dpkg.

xfree86 is forked from upstream and contains significant debian-only
development.  dpkg is debian-native.  In the case of both of those
pacakges, additional verbitage in the Debian changelog is necessary.  In
the case of this package, Gergely's fix was noted in the upstream
changelog:

0.81 - Sun Jul 14 2002, 17:00
                Fixed bugs. Thanks to Olivier Poitrey, Brian Ventura, Ivan 
                            Kohler and others. 
                Bugs fixed: PTR records not printed, PTR records parsed incorrectly,
                        alphanumeric chars in TTL, underscores in zone data.


A strict interpretation of policy would actually tell us that Gergely's
patch should *NOT* be noted separately, as is it is not a change to the
"Debian-specific parts of the package".  Not that I necessarily agree...

Please, drop this matter and allow me to spend the limited amount of time
I have to contribute to Debian doing useful work, not arguing about
trivialities.

If at such time there is a change in policy or documented guidelines with
regard to changelogs, feel free to bring it to my attention. 

Have a nice day.

-- 
_ivan




Information forwarded to libdns-zoneparse-perl@packages.qa.debian.org:
Bug#147828; Package libdns-zoneparse-perl. Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@cs.elte.hu>:
Extra info received and filed, but not forwarded. Copy sent to libdns-zoneparse-perl@packages.qa.debian.org. Full text and rfc822 format available.

Message #49 received at 147828-quiet@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@cs.elte.hu>
To: 147828-quiet@bugs.debian.org
Subject: Re: Bug#147828: acknowledged by developer
Date: Thu, 18 Jul 2002 14:14:21 +0200
> "This file records the changes to the Debian-specific parts of the
> package".  Nowhere does it say that a "New upstream release" line should
> not be used to close all bugs the upstream release closes.  Gergely's
> patch was not Debian-specific, was forwarded upstream, and was included by
> the upstream in the new version.

Well, IMNSHO a bug report against the package in the Debian BTS can very well
be considered a "debian-specific part of the package". Therefore, when you
close it, you should explictly mention in the debian/changelog what the bug
was about.

> Please, drop this matter and allow me to spend the limited amount of time
> I have to contribute to Debian doing useful work, not arguing about
> trivialities.

Useful work? As useful as I could file 20+ serious bugs for not following
Policy strictly, which you preach so loudly?



Information forwarded to debian-bugs-dist@lists.debian.org, Ivan Kohler <ivan-debian@420.am>, libdns-zoneparse-perl@packages.qa.debian.org:
Bug#147828; Package libdns-zoneparse-perl. Full text and rfc822 format available.

Acknowledgement sent to philiy7@lycos.com:
Extra info received and forwarded to list. Copy sent to Ivan Kohler <ivan-debian@420.am>, libdns-zoneparse-perl@packages.qa.debian.org. Full text and rfc822 format available.

Message #54 received at 147828@bugs.debian.org (full text, mbox):

From: "philip johnson" <philiy7@lycos.com>
To: philiy7@lycos.com
Subject: investment
Date: Tue, 30 Jul 2002 09:45:42 -0600
ATTN PRESIDENT. 
I WOULD LIKE TO BEGIN BY WAY OF INTRODUCTION..MY NAME 
IS MR .PHILIP JOHNSON ,A 
NATIVE OF CAPETOWN IN SOUTHAFRICA AND A SENIOR 
EMPPLOYEE OF THE SOUTH 
AFRICA DEPARTMENT OF ENERGY AND MINERAL RESOURCES 
CURRENTLEY HERE IN AMSTERDAM-NETHERLANDS 
ON A ONE YEAR STUDY LEAVE. 

I AM WRITING THIS LETTER TO SOLICIT YOUR COORPERATION 
IN ORDER TO REDEEM 
AN INVESTMENT INTEREST CURRENTLY BEING HELD UNDER 
TRUST WITH THE SOUTH 
AFRICA DEPARTMENT OF ENERGY AND MINERAL RESOUSES. 
THE SAID INVESTMENT NOW VALUED AT US$35.500.00 
(THIRTY FIVE MILLION 
FIVE HUNDRED THOUSAND UNITED STATES DOLLARS) WAS 
ORIGINALLY PURCHASED 
BY ONE MR ROBINSON MOORE LEASED TO THE FREE STATE 
CONSOLIDATED MINING 
CORPORATION IN 1975 FOR 25 YEARS. 
SINCE THE MATURITY OF THIS CONTRACT IN AUGUST 
1999,SEVERAL ATTEMPTS HAVE 
BEEN MADE WITHOUT SUCCESS TO CONTACT MR MOORE OR ANY 
OF HIS CLOSE RELATIVES 
,IN WHOSE FAVOURE THE INVESTMENT CASH VALUE COULD BE 
PAID TO. 
MY PARTNER WHO IS THE ACCOUNT DIRECTOR AT THE DEPARTMENT 
OF ENERGY AND 
MINERAL RESOURCES AND TWO OTHERS COLLEAGUE, HAVE 
INITIATED THE PROCESS 
OF FILLING ACLAIM FOR THIS MONEY,WITH THE HOPE OF 
HAVING THIS FUND STRANSFERRED 
INTO A SAFE OFFSHORE ACCOUNT . 
WE COULD FILE A CLAIM FOR THIS MONEY WITH THE DEPARTMENT 
CLAIMING THAT 
YOU WERE APPOINTED BY MR MOORE TO BE THE BENEFICIARY 
TO THIS FUNDS.AS 
SOON AS THE CLAIM IS APPROVED,THE STATED SUM OF 
US$35.5MILLION WILL BE 
TRANSFERED INTO AN ACCOUNT OF YOU CHOICE,AFTER WHICH 
MY COLLEAGUE AND 
I SHALL TO MEET WITH YOU FOR THE DISBURSEMENT OF THE 
FUNDS. 
SINCE THE MONEY WILL BE IN YOUR CUSTODY,YOU HAVE THE 
RESPONSIBILITY TO 
ENSURE THAT MY COLLEAGUES AND I RECEIVE 70% , 20% FOR  YOU AS THE 
BENEFICIARY WHILE 10% IS SETASIDE FOR EXPENSES. 
PLEASE WE URGE YOU TO KEEP THIS AFFAIR VERY 
CONFIDENTIAL,BECAUSE WE 
ARE STILL IN ACTIVE GOVERNMENT SERVICE. 
I WANT TO ASSURE YOU THAT MY PARTNERS ARE IN A 
POSITION TO MAKE THE PAYMENT 
OF THIS CLAIM POSSIBLE, PROVIDED YOU AGREE TO MEET 
WITH US AND GIVE US 
THE GUARANTEE THAT OUR SHARE WILL BE WELL SECURED IN 
YOUR CARE . 
BE REST ASSURED THAT THERE IS ABSOLUTELY NOTHING TO 
WORRY ABOUT IN VIEW 
OF THIS CLAIM . IT IS PERFECTELY SAFE WITH NO RISK 
INVOLVED,AND IT IS 
NOT SUBJECT TO ANY ENQUIRY, AS MY PARTNERS WILL BE 
HANDLING THE CLAIMS 
DIRECTLY ON YOUR BEHALF IN SOUTH AFRICA. 
PLEASE ACKNOWLEDGE THE RECEIPT OF THIS LETTER BY PHONE 
ON MY CONFIDENTIAL 
TELEPHONE  31-613506987. 
LOOKING FORWARD TO YOUR PROMPT REPLY. 
YOURS TRULY, 
MR. PHILIP JOHNSON 
reply to :philiy7@hotmail.com 




_____________________________________________________
Supercharge your e-mail with a 25MB Inbox, POP3 Access, No Ads
and NoTaglines --> LYCOS MAIL PLUS.
http://www.mail.lycos.com/brandPage.shtml?pageId=plus 



Message #55 received at 147828-close@bugs.debian.org (full text, mbox):

From: "philip johnson" <philiy8@lycos.com>
To: philiy8@hotmail.com
Subject: investment
Date: Tue, 30 Jul 2002 10:53:16 -0500
CURRENTLEY HERE IN AMSTERDAM-NETHERLANDS 
ON A ONE YEAR STUDY LEAVE. 

I AM WRITING THIS LETTER TO SOLICIT YOUR COORPERATION 
IN ORDER TO REDEEM 
AN INVESTMENT INTEREST CURRENTLY BEING HELD UNDER 
TRUST WITH THE SOUTH 
AFRICA DEPARTMENT OF ENERGY AND MINERAL RESOUSES. 
THE SAID INVESTMENT NOW VALUED AT US$35.500.00 
(THIRTY FIVE MILLION 
FIVE HUNDRED THOUSAND UNITED STATES DOLLARS) WAS 
ORIGINALLY PURCHASED 
BY ONE MR ROBINSON MOORE LEASED TO THE FREE STATE 
CONSOLIDATED MINING 
CORPORATION IN 1975 FOR 25 YEARS. 
SINCE THE MATURITY OF THIS CONTRACT IN AUGUST 
1999,SEVERAL ATTEMPTS HAVE 
BEEN MADE WITHOUT SUCCESS TO CONTACT MR MOORE OR ANY 
OF HIS CLOSE RELATIVES 
,IN WHOSE FAVOURE THE INVESTMENT CASH VALUE COULD BE 
PAID TO. 
MY PARTNER WHO IS THE ACCOUNT DIRECTOR AT THE DEPARTMENT 
OF ENERGY AND 
MINERAL RESOURCES AND TWO OTHERS COLLEAGUE, HAVE 
INITIATED THE PROCESS 
OF FILLING ACLAIM FOR THIS MONEY,WITH THE HOPE OF 
HAVING THIS FUND STRANSFERRED 
INTO A SAFE OFFSHORE ACCOUNT . 
WE COULD FILE A CLAIM FOR THIS MONEY WITH THE DEPARTMENT 
CLAIMING THAT 
YOU WERE APPOINTED BY MR MOORE TO BE THE BENEFICIARY 
TO THIS FUNDS.AS 
SOON AS THE CLAIM IS APPROVED,THE STATED SUM OF 
US$35.5MILLION WILL BE 
TRANSFERED INTO AN ACCOUNT OF YOU CHOICE,AFTER WHICH 
MY COLLEAGUE AND 
I SHALL TO MEET WITH YOU FOR THE DISBURSEMENT OF THE 
FUNDS. 
SINCE THE MONEY WILL BE IN YOUR CUSTODY,YOU HAVE THE 
RESPONSIBILITY TO 
ENSURE THAT MY COLLEAGUES AND I RECEIVE 70% , 20% FOR  YOU AS THE 
BENEFICIARY WHILE 10% IS SETASIDE FOR EXPENSES. 
PLEASE WE URGE YOU TO KEEP THIS AFFAIR VERY 
CONFIDENTIAL,BECAUSE WE 
ARE STILL IN ACTIVE GOVERNMENT SERVICE. 
I WANT TO ASSURE YOU THAT MY PARTNERS ARE IN A 
POSITION TO MAKE THE PAYMENT 
OF THIS CLAIM POSSIBLE, PROVIDED YOU AGREE TO MEET 
WITH US AND GIVE US 
THE GUARANTEE THAT OUR SHARE WILL BE WELL SECURED IN 
YOUR CARE . 
BE REST ASSURED THAT THERE IS ABSOLUTELY NOTHING TO 
WORRY ABOUT IN VIEW 
OF THIS CLAIM . IT IS PERFECTELY SAFE WITH NO RISK 
INVOLVED,AND IT IS 
NOT SUBJECT TO ANY ENQUIRY, AS MY PARTNERS WILL BE 
HANDLING THE CLAIMS 
DIRECTLY ON YOUR BEHALF IN SOUTH AFRICA. 
PLEASE ACKNOWLEDGE THE RECEIPT OF THIS LETTER BY PHONE 
ON MY CONFIDENTIAL 
TELEPHONE  31-613506987. 
LOOKING FORWARD TO YOUR PROMPT REPLY. 
YOURS TRULY, 
MR. PHILIP JOHNSON 
reply to :philiy8@hotmail.com 






_____________________________________________________
Supercharge your e-mail with a 25MB Inbox, POP3 Access, No Ads
and NoTaglines --> LYCOS MAIL PLUS.
http://www.mail.lycos.com/brandPage.shtml?pageId=plus 



Information forwarded to libdns-zoneparse-perl@packages.qa.debian.org:
Bug#147828; Package libdns-zoneparse-perl. Full text and rfc822 format available.

Acknowledgement sent to philiy8@lycos.com:
Extra info received and filed, but not forwarded. Copy sent to libdns-zoneparse-perl@packages.qa.debian.org. Full text and rfc822 format available.

Message #60 received at 147828-quiet@bugs.debian.org (full text, mbox):

From: "philip johnson" <philiy8@lycos.com>
To: philiy8@hotmail.com
Subject: investment
Date: Tue, 30 Jul 2002 10:54:16 -0500
CURRENTLEY HERE IN AMSTERDAM-NETHERLANDS 
ON A ONE YEAR STUDY LEAVE. 

I AM WRITING THIS LETTER TO SOLICIT YOUR COORPERATION 
IN ORDER TO REDEEM 
AN INVESTMENT INTEREST CURRENTLY BEING HELD UNDER 
TRUST WITH THE SOUTH 
AFRICA DEPARTMENT OF ENERGY AND MINERAL RESOUSES. 
THE SAID INVESTMENT NOW VALUED AT US$35.500.00 
(THIRTY FIVE MILLION 
FIVE HUNDRED THOUSAND UNITED STATES DOLLARS) WAS 
ORIGINALLY PURCHASED 
BY ONE MR ROBINSON MOORE LEASED TO THE FREE STATE 
CONSOLIDATED MINING 
CORPORATION IN 1975 FOR 25 YEARS. 
SINCE THE MATURITY OF THIS CONTRACT IN AUGUST 
1999,SEVERAL ATTEMPTS HAVE 
BEEN MADE WITHOUT SUCCESS TO CONTACT MR MOORE OR ANY 
OF HIS CLOSE RELATIVES 
,IN WHOSE FAVOURE THE INVESTMENT CASH VALUE COULD BE 
PAID TO. 
MY PARTNER WHO IS THE ACCOUNT DIRECTOR AT THE DEPARTMENT 
OF ENERGY AND 
MINERAL RESOURCES AND TWO OTHERS COLLEAGUE, HAVE 
INITIATED THE PROCESS 
OF FILLING ACLAIM FOR THIS MONEY,WITH THE HOPE OF 
HAVING THIS FUND STRANSFERRED 
INTO A SAFE OFFSHORE ACCOUNT . 
WE COULD FILE A CLAIM FOR THIS MONEY WITH THE DEPARTMENT 
CLAIMING THAT 
YOU WERE APPOINTED BY MR MOORE TO BE THE BENEFICIARY 
TO THIS FUNDS.AS 
SOON AS THE CLAIM IS APPROVED,THE STATED SUM OF 
US$35.5MILLION WILL BE 
TRANSFERED INTO AN ACCOUNT OF YOU CHOICE,AFTER WHICH 
MY COLLEAGUE AND 
I SHALL TO MEET WITH YOU FOR THE DISBURSEMENT OF THE 
FUNDS. 
SINCE THE MONEY WILL BE IN YOUR CUSTODY,YOU HAVE THE 
RESPONSIBILITY TO 
ENSURE THAT MY COLLEAGUES AND I RECEIVE 70% , 20% FOR  YOU AS THE 
BENEFICIARY WHILE 10% IS SETASIDE FOR EXPENSES. 
PLEASE WE URGE YOU TO KEEP THIS AFFAIR VERY 
CONFIDENTIAL,BECAUSE WE 
ARE STILL IN ACTIVE GOVERNMENT SERVICE. 
I WANT TO ASSURE YOU THAT MY PARTNERS ARE IN A 
POSITION TO MAKE THE PAYMENT 
OF THIS CLAIM POSSIBLE, PROVIDED YOU AGREE TO MEET 
WITH US AND GIVE US 
THE GUARANTEE THAT OUR SHARE WILL BE WELL SECURED IN 
YOUR CARE . 
BE REST ASSURED THAT THERE IS ABSOLUTELY NOTHING TO 
WORRY ABOUT IN VIEW 
OF THIS CLAIM . IT IS PERFECTELY SAFE WITH NO RISK 
INVOLVED,AND IT IS 
NOT SUBJECT TO ANY ENQUIRY, AS MY PARTNERS WILL BE 
HANDLING THE CLAIMS 
DIRECTLY ON YOUR BEHALF IN SOUTH AFRICA. 
PLEASE ACKNOWLEDGE THE RECEIPT OF THIS LETTER BY PHONE 
ON MY CONFIDENTIAL 
TELEPHONE  31-613506987. 
LOOKING FORWARD TO YOUR PROMPT REPLY. 
YOURS TRULY, 
MR. PHILIP JOHNSON 
reply to :philiy8@hotmail.com 






_____________________________________________________
Supercharge your e-mail with a 25MB Inbox, POP3 Access, No Ads
and NoTaglines --> LYCOS MAIL PLUS.
http://www.mail.lycos.com/brandPage.shtml?pageId=plus 



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:19:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.